using PARR.DAL.Context;
using PARR.DAL.Models;
using PARR.DAL.Services.Interfaces;

namespace PARR.DAL.Services.Implementations
{
    internal class ParrComponentService : IParrComponentService
    {
        private readonly DataContext dataContext;

        public ParrComponentService(DataContext dataContext)
        {
            this.dataContext = dataContext;
        }

        public IQueryable<ParrComponent> Get()
        {
            return dataContext.ParrComponents;
        }
    }
}
